<?php
class Decorator implements Countable
{
	public $dados = array();

	public function __get($propriedade)
	{
		return $this->dados[$propriedade] ?? "";
	}

	public function __set($propriedade, $valor)
	{
		$this->dados[$propriedade] = $valor;
	}

	public function count(): int
	{
		return count($this->dados);
	}
}